import { FieldInfo } from 'model-util-base';
import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, JoinTable } from 'model-util';
import { AdStyleMaterialType } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-06-07 10:35
 */
interface AdStyleMaterialTypeCU extends ConditionUtil<AdStyleMaterialTypeCU> {
    AD_STYLE_ID: FieldUtil<AdStyleMaterialTypeCU>;
    DEL_FLAG: FieldUtil<AdStyleMaterialTypeCU>;
    AD_MATERIAL_TYPE_CODE: FieldUtil<AdStyleMaterialTypeCU>;
}
declare class AdStyleMaterialTypeMU extends TableUtilImpl<AdStyleMaterialTypeCU, AdStyleMaterialType> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: JoinTable[];
    subTables: any[];
    createConditionUtil(): AdStyleMaterialTypeCU;
    static get AD_STYLE_ID(): FieldUtil<AdStyleMaterialTypeCU>;
    static get DEL_FLAG(): FieldUtil<AdStyleMaterialTypeCU>;
    static get AD_MATERIAL_TYPE_CODE(): FieldUtil<AdStyleMaterialTypeCU>;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get TYPE_DEL_FLAG(): FieldInfo;
    get AD_STYLE_ID(): FieldUtil<AdStyleMaterialTypeCU>;
    get DEL_FLAG(): FieldUtil<AdStyleMaterialTypeCU>;
    get AD_MATERIAL_TYPE_CODE(): FieldUtil<AdStyleMaterialTypeCU>;
    get CODE(): FieldInfo;
    get NAME(): FieldInfo;
    get TYPE_DEL_FLAG(): FieldInfo;
}
export { AdStyleMaterialTypeMU, AdStyleMaterialTypeCU };
